import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Drache extends Actor
{
    // Attribute
    private int timer = 0;
    private int speed = 2;
    private GreenfootSound soundAlarm = new GreenfootSound("alarm.mp3");
    // Konstruktor
    public Drache()
    {
        this.setRotation(Greenfoot.getRandomNumber(360));
        this.getImage().scale(this.getImage().getWidth()/4, this.getImage().getHeight()/4);   
    }
    // Methoden
    public void act() 
    {
        this.move(this.speed);
        if(this.getX() > this.getWorld().getWidth() - 350)
        {
            this.turn(170);
        }
        if(this.isAtEdge())
        {
            this.turn(Greenfoot.getRandomNumber(360));
        }
        this.timer = this.timer + 1;
        if(this.timer == 370)
        {
            this.soundAlarm.play();
            this.getWorld().showText("ACHTUNG! DRAGONFRENZY!", this.getWorld().getWidth()/2, this.getWorld().getHeight()/2);
        }
        if(this.timer == 450)
        {
            this.speed = 10;
        }
        if(this.timer > 620)
        {
            this.speed = 2;
            this.getWorld().showText("", this.getWorld().getWidth()/2, this.getWorld().getHeight()/2);
            this.timer = 0;
        }
    }    
}