import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Drachenjaeger extends Mensch
{
    // Attribute
    private int gerettetePrinzessinnen = 0;
    private int leben = 3;
    private GreenfootSound soundFressen = new GreenfootSound("vomDrachenGefressen.mp3");
    private GreenfootSound soundPrinzessin = new GreenfootSound("bing.mp3");
    // Konstruktor
    public Drachenjaeger()
    {
    }
    // Methoden
    public void act() 
    {
        
        if(this.isTouching(Prinzessin.class))
        {
            this.removeTouching(Prinzessin.class);
            this.gerettetePrinzessinnen = this.gerettetePrinzessinnen + 1;
            this.soundPrinzessin.play();
            
        }
        if(this.isTouching(Drache.class))
        {
            this.leben = this.leben - 1;
            this.soundFressen.play();
            this.setLocation(1000, this.getWorld().getHeight()/2);
        }
        this.getWorld().showText("Leben: " + this.leben, 850, 660);
        this.getWorld().showText("Prinzessinnen: " + this.gerettetePrinzessinnen, 895, 690);
        if(this.leben == 0)
        {
            this.getWorld().showText("G A M E    O V E R", this.getWorld().getWidth()/2, this.getWorld().getHeight()/2);
            Greenfoot.stop();
        }
        if(this.gerettetePrinzessinnen == 7)
        {
            this.getWorld().showText("Alle Prinzessinnen gerettet!!", this.getWorld().getWidth()/2, this.getWorld().getHeight()/2);
            Greenfoot.stop();
        }
    }    
}