import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Guroksteppe extends World
{
    // Attribute
    private GreenfootSound soundHintergrundmusik = new GreenfootSound("hintergrundmusik.mp3");

    public Guroksteppe()
    {    
        super(1100, 750, 1); 
        prepare();
        this.soundHintergrundmusik.playLoop();
        this.showText("Rette alle 7 Prinzessinnen! (left/right; space = Boost)", this.getWidth()/2, 30);
        this.showText("Im rechten Bereich ist deine Safe-Zone.", this.getWidth()/2, 70);
        this.showText("Press Run to start.", this.getWidth()/2, 170);
    }
    /**
     * Bereite die Welt für den Programmstart vor.
     * Das heißt: Erzeuge die Anfangs-Objekte und füge sie der Welt hinzu.
     */
    private void prepare()
    {

        Prinzessin prinzessin = new Prinzessin();
        addObject(prinzessin,337,317);
        Prinzessin prinzessin2 = new Prinzessin();
        addObject(prinzessin2,94,200);
        Prinzessin prinzessin3 = new Prinzessin();
        addObject(prinzessin3,37,711);
        Prinzessin prinzessin4 = new Prinzessin();
        addObject(prinzessin4,526,145);
        Prinzessin prinzessin5 = new Prinzessin();
        addObject(prinzessin5,721,106);
        Prinzessin prinzessin6 = new Prinzessin();
        addObject(prinzessin6,536,564);
        Prinzessin prinzessin7 = new Prinzessin();
        addObject(prinzessin7,240,599);
        Drachenjaeger drachenjaeger = new Drachenjaeger();
        addObject(drachenjaeger,973,374);
        Feuerdrache feuerdrache = new Feuerdrache();
        addObject(feuerdrache,260,150);
        Feuerdrache feuerdrache2 = new Feuerdrache();
        addObject(feuerdrache2,164,384);
        Feuerdrache feuerdrache3 = new Feuerdrache();
        addObject(feuerdrache3,382,557);
        Kriechdrache kriechdrache = new Kriechdrache();
        addObject(kriechdrache,556,377);
        Kriechdrache kriechdrache2 = new Kriechdrache();
        addObject(kriechdrache2,454,226);
        Schleimdrache schleimdrache = new Schleimdrache();
        addObject(schleimdrache,456,657);
        Schleimdrache schleimdrache2 = new Schleimdrache();
        addObject(schleimdrache2,127,497);
        Schleimdrache schleimdrache3 = new Schleimdrache();
        addObject(schleimdrache3,602,278);
    }
}